from django import template
from django.db.models import F

from gallery.models import Album, Photo

register = template.Library()


@register.simple_tag
def last_albums(count=5):
    albums = Album.objects.filter(is_public=True).order_by("-album_date")[:count]
    return albums

@register.simple_tag
def top_photos(count=5):
    photos = Photo.objects.filter(album__is_public=True).order_by('-is_favorite', '-likes', '-views').select_related('album')[:count]
    return photos

@register.simple_tag
def random_photos_landscape(count=5):
    photos = Photo.objects.filter(album__is_public=True, width__gt=F('height')).order_by('?')[:count]
    return photos

@register.simple_tag
def top_photos_landscape(count=5):
    photos = Photo.objects.filter(album__is_public=True, width__gt=F('height')).order_by('-views').select_related('album')[:count]
    return photos

@register.simple_tag
def top_photos_portrait(count=5):
    photos = Photo.objects.filter(album__is_public=True, height__gt=F('width')).order_by('-views').select_related('album')[:count]
    return photos

@register.simple_tag
def top_photos_in_album(album, count=5):
    photos = Photo.objects.filter(album=album).order_by('-is_favorite', '-likes', '-views').select_related('album')[:count]
    return photos
